Retrieve contact list with optional search and pagination
curl --request GET \
--url https://app.closerx.ai/api/v2/contact/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/v2/contact/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/v2/contact/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 123,
"total_page": 123,
"current_page_no": 123,
"next_page_number": 123,
"previous_page_number": 123,
"page_size": 123,
"data": [
{
"id": 123,
"contact_number": "<string>",
"isactive": true,
"tags": [
{
"id": 123,
"tag_name": "<string>"
}
],
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>",
"industry": "<string>",
"custom1": "<string>",
"custom2": "<string>",
"custom3": "<string>",
"custom4": "<string>",
"address": "<string>",
"contact_id": "<string>"
}
]
}{
"success": true,
"message": "<string>",
"data": {}
}Contact
All List
Fetches a paginated list of contacts. You can filter the results using a search query.
GET
/
v2
/
contact
/
Retrieve contact list with optional search and pagination
Authorizations
Headers
The schema name for multi-tenancy (company-wise DB separation)
Query Parameters
Page number for pagination
Example:
1
Search term to filter contacts by name, number, or other fields
Example:
"john"
Response
Successfully retrieved contact list
Total number of contacts available
Total number of pages for pagination
The current page number being viewed
The next page number if available, otherwise null
The previous page number if available, otherwise null
The number of contacts per page
List of contact objects for the current page
Show child attributes
Show child attributes
